Page MenuHomeFreeBSD

Make using github releases easier
ClosedPublic

Authored by swills on Dec 19 2014, 5:17 AM.

Details

Reviewers
bapt
Group Reviewers
portmgr

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

swills updated this revision to Diff 2789.Dec 19 2014, 5:17 AM
swills retitled this revision from to Make using github releases easier.
swills updated this object.
swills edited the test plan for this revision. (Show Details)
glebius added inline comments.
Mk/bsd.sites.mk
1525

The "v" here isn't a common place. The "dummy" stuff isn't needed.

IMHO, this should be:

${GH_ACCOUNT}/${GH_PROJECT}/archive/${DISTNAME}

Or may be:

${GH_ACCOUNT}/${GH_PROJECT}/archive/${GH_TAG}

not sure

bapt requested changes to this revision.Dec 19 2014, 10:27 AM
bapt added a reviewer: bapt.
bapt added a subscriber: bapt.
bapt added inline comments.
Mk/bsd.sites.mk
1525

I would rather use

${DISTVERSIONPREFIX}${DISTVERSION:C/:(.)/\1/g}${DISTVERSIONSUFFIX}${EXTRACT_SUFX}

like how it is defined in DISTNAME
So that for the v is becomes a simple DISTVERSIONPREFIX=v like it should be

This revision now requires changes to proceed.Dec 19 2014, 10:27 AM
swills updated this revision to Diff 2792.Dec 19 2014, 3:35 PM
swills edited edge metadata.

Copy bits from DISTNAME

bapt accepted this revision.Dec 20 2014, 12:31 PM
bapt edited edge metadata.
This revision is now accepted and ready to land.Dec 20 2014, 12:31 PM
swills closed this revision.Dec 22 2014, 6:16 PM

Committed in rP375010 but not noted here for some reason.

Mk/bsd.sites.mk
1525

In my experience, the dummy stuff is needed. Can you explain more why you think it isn't?

1525

I like copying the DISTNAME bit, but had to make some further changes to get it working. Will post updated diff.

bdrewery added inline comments.
Mk/bsd.sites.mk
1525

I removed this in r381648. I wanted to mention though that all of the DIST stuff here is not needed. Everything before ?dummy is what we're telling github is the tag we want to fetch. The fetching automatically adds DISTNAME after the MASTER_SITE URL, hence the ?dummy=/. This will fetch the file as DISTNAME. You can see this here:

~/svn/ports.commit/ports-mgmt/poudriere-devel # make fetch-urlall-list|grep github
https://codeload.github.com/freebsd/poudriere/tar.gz/80b7167?dummy=/freebsd-poudriere-3.1.99.20150319-80b7167.tar.gz

So DISTNAME is already used.

bdrewery added inline comments.Mar 19 2015, 8:37 PM
Mk/bsd.sites.mk
1525

I do see the benefit in this now. I am moving it to GH_TAGNAME?= ${DISTVERSION} instead though.

bdrewery added inline comments.Mar 19 2015, 8:52 PM
Mk/bsd.sites.mk
1525

Done in r381689